[diff]
	tool = vimdiff

[difftool "vimdiff"]
	cmd = vimdiff \"$LOCAL\" \"$REMOTE\"

[core]
	pager = less -FRX
	editor = vim
[alias]
	glog = log --graph --decorate
	glogs = log --graph --stat
	ci   = commit
	st   = status
	sglog  = log --oneline --decorate --graph --all
	lg = log --graph --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr)%Creset %Cblue<%an>%Creset' --abbrev-commit --date=relative
	co     = checkout
	out    = log --branches --not --remotes
	inc    = log ..@{u}
	vimdiff = difftool -y -t vimdiff
	serve   = instaweb

	# tricks from https://www.durdn.com/blog/2012/11/22/must-have-git-aliases-advanced-examples/
	# if no file is specified, show diff for all files in the changeset
	diffc = "!f() { git diff ${1}^1 ${1} -- $2; }; f"
	vimdiffc = "!f() { git vimdiff ${1}^1 ${1} -- $2; }; f"
	cat = show

[user]
	name = Petr Nyc
	email = petr.nyc@oracle.com

[merge]
	tool = vimdiff


[instaweb]
        local = true
        ; httpd = apache2 -f
        ; port = 4321
        ; browser = konqueror
        ; modulePath = /usr/lib/apache2/modules
[init]
	defaultBranch = master
